[RTL][Dialer]The "+" symbol locates on the wrong side of number at Call Information view.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::Dialer
P2
normal
RESOLVED WORKSFORME
3 years ago
2 years ago

People

(Reporter: Sue, Unassigned)

Tracking

(Blocks: 1 bug, {polish})

unspecified
ARM
Gonk (Firefox OS)
polish
Dependency tree / graph

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-master affected)

Details

(Whiteboard: [2.2-nexus-5-l])

Attachments

(3 attachments)

(Reporter)

Description

3 years ago
Created attachment 8602002 [details]
+ symbol in call information headers.png

[1.Description]:
[RTL][Flame v2.2 & v3.0][Nexus 5 2.2 & 3.0][Dialer]The "+" symbol locates on the wrong side of number in heading of Call Information view. 
See attachment:+ symbol in call information headers.png

[2.Testing Steps]: 
Prerequisite: Insert a SIM card and have a call log with "+" in phone number(Such as "+8618628210070").
1. Set system language as Arabic.
2. Launch Phone.
3. Switch to "Call log page"
4. Long press one of the call log.
5. Press "Call information" item.

[3.Expected Result]: 
5. The "+" symbol should be shown at left side of phone number.

[4.Actual Result]: 
5. The "+" symbol is shown at right side of number in heading.

[5.Reproduction build]: 
Device: Flame 2.2 (affected)
Build ID               20150505162504
Gaia Revision          772a9491909abd02dc67278dd453746e2dd358a8
Gaia Date              2015-05-05 02:02:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/3af6a0a79227
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150505.201112
Firmware Date          Tue May  5 20:11:25 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (affected)
Build ID               20150505160203
Gaia Revision          42dc5f02a9df006b129824cd9bffa93cab937ab2
Gaia Date              2015-05-05 11:06:17
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/5907a8eca521
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150505.194217
Firmware Date          Tue May  5 19:42:28 EDT 2015
Bootloader             L1TC000118D0

Device: Nexus 5 2.2 (affected)
Build ID               20150505162504
Gaia Revision          772a9491909abd02dc67278dd453746e2dd358a8
Gaia Date              2015-05-05 02:02:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/3af6a0a79227
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150505.195850
Firmware Date          Tue May  5 19:59:08 EDT 2015
Bootloader             HHZ12f

Device: Nexus 5 3.0 (affected)
Build ID               20150505160203
Gaia Revision          42dc5f02a9df006b129824cd9bffa93cab937ab2
Gaia Date              2015-05-05 11:06:17
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/5907a8eca521
Gecko Version          40.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150505.192812
Firmware Date          Tue May  5 19:28:29 EDT 2015
Bootloader             HHZ12f

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
(Reporter)

Updated

3 years ago
QA Whiteboard: [rtl-impact]
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
(Reporter)

Updated

3 years ago
See Also: → bug 1161966
Triage -- P2
Priority: -- → P2
(Reporter)

Comment 2

2 years ago
Hi William,
This issue can be reproduced on latest build of Flame 2.2&3.0 and Nexus 5 2.2&3.0 by STRs in comment 0. Could you have someone to help with this bug? Thanks :)
Result: The "+" symbol is shown at right side of number in heading.

Device information:
Flame 2.2 Build ID: 20150526162504
Flame 3.0 Build ID: 20150526160204
Nexus5 2.2 Build ID: 20150526162504
Nexus5 3.0 Build ID: 20150526160204
QA Whiteboard: [rtl-impact] → [rtl-impact][MGSEI-Triage+]
(Reporter)

Updated

2 years ago
Flags: needinfo?(whsu)

Comment 3

2 years ago
(In reply to Sue from comment #2)
> Hi William,
> This issue can be reproduced on latest build of Flame 2.2&3.0 and Nexus 5
> 2.2&3.0 by STRs in comment 0. Could you have someone to help with this bug?
> Thanks :)

Hi, Sue,

Thanks for your re-confirmation.
Let's wait for solution.
Flags: needinfo?(whsu)
Keywords: polish
This issue can be reproduced on lastest build of AriesKK v2.5.
Rate:5/5
Device:Aries KK_V2.5[Affected]
Build ID               20150806203229
Gaia Revision          7f387f859d48f9ad0761637c78447dc524747738
Gaia Date              2015-08-06 15:21:13
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/03e3d77d1b6b
Gecko Version          42.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150806.195600
Firmware Date          Thu Aug  6 19:56:08 UTC 2015
Bootloader             s1
Blocks: 1181927
Created attachment 8646207 [details]
AriesKK_V2.5.png
Created attachment 8680474 [details]
Plus symbol_v2.5.png

This issue cannot be reproduced on latest FlameKK&AriesKK v2.5 build by the same STR in comment 0.
Actual result:The "+" symbol is displayed at left side of phone number in call information view.
See attachment:Plus symbol_v2.5.png
Reproducing rate:0/10

Device: FlameKK v2.5 build (512mb)
Build ID               20151028150209
Gaia Revision          2e89362de40a6c9c36525d36317fa1ae8e67e143
Gaia Date              2015-10-28 04:56:28
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/fc706d376f0658e560a59c3dd520437b18e8c4a4
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151028.182746
Firmware Date          Wed Oct 28 18:27:57 EDT 2015
Firmware Date           v18D v4
Bootloader             L1TC000118D0

Device: AriesKK v2.5 build
Build ID               20151029010303
Gaia Revision          75f2236d36cc9f9c02d3596fae3de014007cfd82
Gaia Date              2015-10-28 17:02:16
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1e700005a0ddf2b17803213e1f3f8d78a7a618b8
Gecko Version          44.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151029.002011
Firmware Date          Thu Oct 29 00:20:19 UTC 2015
Bootloader             s1
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.